const rangeInput = document.getElementById('investmentRange');
const amountInput = document.getElementById('investmentAmount');
const profitInput = document.getElementById('profitAmount');

function calculateProfit(amount) {
  let multiplier;

  if (amount >= 0 && amount < 1999) {
    multiplier = 1.5;
  } else if (amount >= 2000 && amount < 4999) {
    multiplier = 1.7;
  } else if (amount >= 5000 && amount < 10000) {
    multiplier = 2;
  } else {
    multiplier = 2.5;
  }

  const profit = amount * multiplier;
  return profit;
}

function updateProfit() {
  const amount = parseFloat(amountInput.value);
  const profit = calculateProfit(amount);
  profitInput.value = profit.toFixed(0);
}

amountInput.addEventListener('input', function () {
  updateProfit();
  rangeInput.value = amountInput.value;
});

rangeInput.addEventListener('input', function () {
  amountInput.value = rangeInput.value;
  updateProfit();
});

updateProfit();
rangeInput.value = amountInput.value;

// range fill

document.getElementById('investmentRange').addEventListener('input', function () {
  const value = ((this.value - this.min) / (this.max - this.min)) * 100;
  document.querySelector('.range-fill').style.width = `${value}%`;
});

setTimeout(() => {
  const value = ((10000 - 0) / (25000 - 0)) * 100;
  document.querySelector('.range-fill').style.width = `${value}%`;
}, 100);
